﻿#language: ru

@milk_production

Функционал: 02_milk_production.01.004 НСИ и настройки

Сценарий: 02_milk_production.01.002 Установка учета по сменам
	Дано Я подключаюсь под "Администратор"
	И Я устанавливаю в константу "к2ВестиУчетПоСменам" значение "Истина"

Сценарий: 02_milk_production.01.002 Установка учета по таре
	И Я устанавливаю в константу "к2ВестиУчетПоТаре" значение "Истина"

Сценарий: 02_milk_production Загрузка НСИ
	И Я загружаю НСИ из "data.json"

Сценарий: 02_milk_production. Создание склада Склад с ячейками
	И В командном интерфейсе я выбираю 'Нормативно-справочная информация' 'Склады'
	Тогда открылось окно 'Склады'
	И я нажимаю на кнопку 'Создать'
	Тогда открылось окно 'Склад (создание)'
	И в поле 'Наименование' я ввожу текст 'milk_prod_Склад с ячейками'
	И я перехожу к закладке "Адресное хранение"
	И я устанавливаю флаг 'Использовать адресное хранение'
	И я нажимаю на кнопку 'Записать'
	И В текущем окне я нажимаю кнопку командного интерфейса 'Складские ячейки'
	И я нажимаю на кнопку 'Создать'
	Тогда открылось окно 'Складская ячейка (создание)'
	И в поле 'Помещение' я ввожу текст '1'
	И в поле 'Ряд' я ввожу текст '4'
	И в поле 'Стеллаж' я ввожу текст '1'
	И в поле 'Ярус' я ввожу текст '1'
	И в поле 'Вместимость в местах' я ввожу текст '1'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Складская ячейка (создание)' в течение 20 секунд
	Тогда открылось окно 'milk_prod_Склад с ячейками (Склад)'
	И В текущем окне я нажимаю кнопку командного интерфейса 'Основное'
	И я нажимаю на кнопку 'Перечитать'
	И я нажимаю кнопку выбора у поля 'Ячейка приемки'
	Тогда открылось окно 'Складские ячейки'
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'milk_prod_Склад с ячейками (Склад) *'
	И я нажимаю кнопку выбора у поля 'Ячейка отгрузки'
	Тогда открылось окно 'Складские ячейки'
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'milk_prod_Склад с ячейками (Склад) *'
	И я нажимаю кнопку выбора у поля 'Ячейка пересчета'
	Тогда открылось окно 'Складские ячейки'
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'milk_prod_Склад с ячейками (Склад) *'
	И Я нажимаю на кнопку 'Записать и закрыть'
	Тогда открылось окно 'Склады'
	И я закрываю окно 'Склады'

Сценарий: 02_milk_production. Создание склада Склад с ячейками и контролем
	И В командном интерфейсе я выбираю 'Нормативно-справочная информация' 'Склады'
	Тогда открылось окно 'Склады'
	И я нажимаю на кнопку 'Создать'
	Тогда открылось окно 'Склад (создание)'
	И в поле 'Наименование' я ввожу текст 'milk_prod_Склад с ячейками и контролем'
	И из выпадающего списка "Контроль остатков" я выбираю точное значение 'Контролировать'
	И в поле 'Вместимость в местах' я ввожу текст '50'
	И я перехожу к закладке "Адресное хранение"
	И я устанавливаю флаг 'Использовать адресное хранение'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Склад (создание) *' в течение 20 секунд
	Тогда открылось окно 'Склады'
	И я закрываю окно 'Склады'

Сценарий: 02_milk_production. Создание складских ячеек
	И В командном интерфейсе я выбираю 'Нормативно-справочная информация' 'Склады'
	Тогда открылось окно 'Склады'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'            		      |
		| 'milk_prod_Склад с ячейками и контролем' |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'milk_prod_Склад с ячейками и контролем (Склад)'	
	И В текущем окне я нажимаю кнопку командного интерфейса 'Складские ячейки'
	И я нажимаю на кнопку 'Создать'
	Тогда открылось окно 'Складская ячейка (создание)'
	И в поле 'Помещение' я ввожу текст '1'
	И в поле 'Ряд' я ввожу текст '2'
	И в поле 'Стеллаж' я ввожу текст '1'
	И в поле 'Ярус' я ввожу текст '1'
	И в поле 'Вместимость в местах' я ввожу текст '1'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Складская ячейка (создание)' в течение 20 секунд
	Тогда открылось окно 'milk_prod_Склад с ячейками и контролем (Склад)'
	И я нажимаю на кнопку 'Создать'
	Тогда открылось окно 'Складская ячейка (создание)'
	И в поле 'Помещение' я ввожу текст '1'
	И в поле 'Ряд' я ввожу текст '1'
	И в поле 'Стеллаж' я ввожу текст '1'
	И в поле 'Ярус' я ввожу текст '1'
	И в поле 'Вместимость в местах' я ввожу текст '1'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Складская ячейка (создание)' в течение 20 секунд
	Тогда открылось окно 'milk_prod_Склад с ячейками и контролем (Склад)'
	И я нажимаю на кнопку 'Создать'
	Тогда открылось окно 'Складская ячейка (создание)'
	И в поле 'Помещение' я ввожу текст '1'
	И в поле 'Ряд' я ввожу текст '3'
	И в поле 'Стеллаж' я ввожу текст '1'
	И в поле 'Ярус' я ввожу текст '1'
	И в поле 'Вместимость в местах' я ввожу текст '1'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Складская ячейка (создание)' в течение 20 секунд
	Тогда открылось окно 'milk_prod_Склад с ячейками и контролем (Склад)'
	И я закрыл все окна клиентского приложения

Сценарий: 02_milk_production. Заполнение в складе складских ячеек
	И В командном интерфейсе я выбираю 'Нормативно-справочная информация' 'Склады'
	Тогда открылось окно 'Склады'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'                 		  |
		| 'milk_prod_Склад с ячейками и контролем' |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'milk_prod_Склад с ячейками и контролем (Склад)'
	И я перехожу к закладке "Адресное хранение"
	И в поле 'Дата начала адресного хранения остатков' я ввожу текст '01.11.2018'
	И я нажимаю кнопку выбора у поля "Ячейка приемки"
	Тогда открылось окно 'Складские ячейки'
	И в таблице "Список" я перехожу к строке:
		| 'Адрес'   |
		| '1020011' |
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'milk_prod_Склад с ячейками и контролем (Склад) *'
	И я нажимаю кнопку выбора у поля "Ячейка отгрузки"
	Тогда открылось окно 'Складские ячейки'
	И в таблице "Список" я перехожу к строке:
		| 'Адрес'   |
		| '1030011' |
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'milk_prod_Склад с ячейками и контролем (Склад) *'
	И я нажимаю кнопку выбора у поля "Ячейка пересчета"
	Тогда открылось окно 'Складские ячейки'
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'milk_prod_Склад с ячейками и контролем (Склад) *'
	И я нажимаю на кнопку 'Записать и закрыть'
	Тогда открылось окно 'Склады'
	И я закрываю окно 'Склады'

Сценарий: Штрихкоды для Российский 50%
	И В командном интерфейсе я выбираю 'Нормативно-справочная информация' 'Номенклатура'
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' 	     |
		| 'milk_prod_Российский 50%' |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'milk_prod_Российский 50% (Номенклатура)'
	И я нажимаю на кнопку "Штрихкоды"
	Тогда открылось окно 'Штрихкоды номенклатуры'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Штрихкоды номенклатуры (создание)'
	И я нажимаю на кнопку 'Новый штрихкод'
	И я нажимаю кнопку выбора у поля "Характеристика"
	Тогда открылось окно 'Характеристики номенклатуры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Созревший'    |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Штрихкоды номенклатуры (создание) *'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Штрихкоды номенклатуры (создание) *' в течение 20 секунд
	Когда открылось окно 'Штрихкоды номенклатуры'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Штрихкоды номенклатуры (создание)'
	И я нажимаю на кнопку 'Новый штрихкод'
	И я нажимаю кнопку выбора у поля "Характеристика"
	Тогда открылось окно 'Характеристики номенклатуры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Созревший'    |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Штрихкоды номенклатуры (создание) *'
	И я нажимаю кнопку выбора у поля "Ед. изм."
	Тогда открылось окно 'Выберите единицу измерения'
	И в таблице "УпаковкиЕдиницыИзмерения" я перехожу к строке:
		| 'Наименование' |
		| 'упак (7 кг)'  |
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Штрихкоды номенклатуры (создание) *'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Штрихкоды номенклатуры (создание) *' в течение 20 секунд
	Тогда открылось окно 'Штрихкоды номенклатуры'
	И Я закрываю окно 'Штрихкоды номенклатуры'
	Тогда открылось окно 'milk_prod_Российский 50% (Номенклатура)'
	И я закрыл все окна клиентского приложения

Сценарий: 02_milk_production. Запись штрихкодов для смеси 45%
	И В командном интерфейсе я выбираю 'Нормативно-справочная информация' 'Номенклатура'
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Вид'   			| 'Ед.' | 'Наименование' 		| 'Наименование для печати' |
		| 'milk_prod_Смеси' | 'кг'  | 'milk_prod_Смесь 45%' | 'milk_prod_Смесь 45%'     |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'milk_prod_Смесь 45% (Номенклатура)'
	И я нажимаю на кнопку "Штрихкоды"
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Штрихкоды номенклатуры (создание)'
	И в поле 'Штрихкод' я ввожу текст '023444433332223'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Штрихкоды номенклатуры (создание) *' в течение 20 секунд
	Тогда открылось окно 'Штрихкоды номенклатуры'
	И Я закрываю окно 'Штрихкоды номенклатуры'
	Тогда открылось окно 'milk_prod_Смесь 45% (Номенклатура)'
	И Я закрываю окно 'milk_prod_Смесь 45% (Номенклатура)'
	Тогда открылось окно 'Номенклатура'
	И Я закрываю окно 'Номенклатура'

Сценарий: 02_milk_production. Запись штрихкодов для смеси 35%
	И В командном интерфейсе я выбираю 'Нормативно-справочная информация' 'Номенклатура'
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Вид'   			| 'Ед.' | 'Наименование' 		| 'Наименование для печати' |
		| 'milk_prod_Смеси' | 'кг'  | 'milk_prod_Смесь 35%' | 'milk_prod_Смесь 35%'     |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'milk_prod_Смесь 35% (Номенклатура)'
	И я нажимаю на кнопку "Штрихкоды"
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Штрихкоды номенклатуры (создание)'
	И в поле 'Штрихкод' я ввожу текст '0254556777655'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Штрихкоды номенклатуры (создание) *' в течение 20 секунд
	Тогда открылось окно 'Штрихкоды номенклатуры'
	И Я закрываю окно 'Штрихкоды номенклатуры'
	Тогда открылось окно 'milk_prod_Смесь 35% (Номенклатура)'
	И Я закрываю окно 'milk_prod_Смесь 35% (Номенклатура)'
	Тогда открылось окно 'Номенклатура'
	И Я закрываю окно 'Номенклатура'